//
// Created by hoelshare on 27.05.17.
//

#ifndef GPN_LASERTAG_REMOTEPLAYER_HPP
#define GPN_LASERTAG_REMOTEPLAYER_HPP

#include "url-encode.h"

struct RemotePlayer {
    String nickname;
    unsigned short pid;
    unsigned char tid;

    String serial() {
        String ret = "";
        ret += "len=" + String(String(nickname).length()) + ";";
        ret += "&nick=" + String(nickname) + ";";
        ret += "&pid=" + String(pid) + ";";
        ret += "&tid=" + String(tid) + ";";
        return ret;
    }


    static RemotePlayer *read(String val) {
        RemotePlayer *player = new RemotePlayer();
        UrlDecode decode(val.c_str());
        player->pid = int(decode.getKey("pid"));
        player->tid = *decode.getKey("tid");
        player->nickname = decode.getKey("nick");

        return player;
    }
};

#endif //GPN_LASERTAG_REMOTEPLAYER_HPP
